%define anolis_release 1
%global pypi_name pytest-timeout

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %{anolis_release}%{?dist}
Summary:        py.test plugin to abort hanging tests

License:        MIT
URL:            https://github.com/pytest-dev/pytest-timeout
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pexpect}
BuildRequires:  %{py3_dist pytest} >= 3.6.0
BuildRequires:  %{py3_dist pytest-cov}
BuildRequires:  %{py3_dist setuptools}

%global _description %{expand:
This is a plugin which will terminate tests after a certain timeout. When doing
so it will show a stack dump of all threads running at the time. This is useful
when running tests under a continuous integration server or simply if you don’t
know why the test suite hangs.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest


%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/pytest_timeout*
%{python3_sitelib}/__pycache__/pytest_timeout*

%changelog
* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 2.1.0-1
- Import package for anolis 23
